Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414075 - Support for 0.25 m2crypto (on Fedora)
Summary: Support for 0.25 m2crypto (on Fedora)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: vdsm
Classification: oVirt
Component: Bindings-API
Version: 4.20.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Piotr Kliczewski
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 16:57 UTC by Piotr Kliczewski
Modified: 2017-06-23 08:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-23 08:26:52 UTC
oVirt Team: Infra
rule-engine: ovirt-4.2+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71246 0 master MERGED m2c: signature change in getsockopt 2017-01-31 19:06:40 UTC

Description Piotr Kliczewski 2017-01-17 16:57:03 UTC
I tested vdsm 4.20.0-228.git4739c81 on f25 and noticed that engine nor mom is  not able to connect due to vdsm:

I see

2017-01-17 17:49:53,826 ERROR (Reactor thread) [vds.dispatcher] uncaptured python exception, closing channel <yajsonrpc.betterAsyncore.Dispatcher ('::ffff:192.168.1.105', 39378, 0, 0) at 0x7fdc180d6ab8> (<type 'exceptions.TypeError'>:an integer is required [/usr/lib64/python2.7/asyncore.py|readwrite|108] [/usr/lib64/python2.7/asyncore.py|handle_read_event|449] [/usr/lib/python2.7/site-packages/yajsonrpc/betterAsyncore.py|handle_read|67] [/usr/lib/python2.7/site-packages/yajsonrpc/betterAsyncore.py|_delegate_call|149] [/usr/lib/python2.7/site-packages/vdsm/protocoldetector.py|handle_read|142] [/usr/lib/python2.7/site-packages/yajsonrpc/stompreactor.py|handle_socket|487] [/usr/lib/python2.7/site-packages/vdsm/rpc/bindingjsonrpc.py|add_socket|49] [/usr/lib/python2.7/site-packages/yajsonrpc/stompreactor.py|createListener|454] [/usr/lib/python2.7/site-packages/yajsonrpc/stompreactor.py|StompListener|420] [/usr/lib/python2.7/site-packages/yajsonrpc/betterAsyncore.py|__init__|43] [/usr/lib/python2.7/site-packages/yajsonrpc/betterAsyncore.py|switch_implementation|82] [/usr/lib/python2.7/site-packages/yajsonrpc/stompreactor.py|init|435] [/usr/lib64/python2.7/asyncore.py|set_reuse_addr|313] [/usr/lib64/python2.7/site-packages/M2Crypto/SSL/Connection.py|getsockopt|414] [/usr/lib64/python2.7/socket.py|meth|228]) (betterAsyncore:160)

which changes to infinitive loop:

2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)
2017-01-17 17:50:24,093 WARN  (JsonRpc (StompReactor)) [vds.dispatcher] unhandled read event (betterAsyncore:160)

We need to make sure that vdsm is able to use newer version of m2crypto:

Name        : m2crypto
Arch        : x86_64
Epoch       : 0
Version     : 0.25.1
Release     : 1.fc25

Comment 1 Martin Perina 2017-01-18 08:49:39 UTC
Moving to 4.2 for now. When/if we start building oVirt 4.1 for FC25 officially, we can retarget.

Comment 2 Sandro Bonazzola 2017-06-22 15:47:43 UTC
Piotr, are we really using m2crypto on master? didn't we remove it from vdsm?
If so, please close wontfix or change summary.

Comment 3 Piotr Kliczewski 2017-06-23 08:06:15 UTC
We are not using it anymore.

Comment 4 Martin Perina 2017-06-23 08:26:52 UTC
Closing as NOTABUG as we removed m2crypto from VDSM in the meantime


Note You need to log in before you can comment on or make changes to this bug.